<!doctype html>
<html class="no-js" lang="">
    <head>
        <meta charset="utf-8">
        <meta http-equiv="x-ua-compatible" content="ie=edge">
        <title>frontend documentation</title>
        <meta name="description" content="">
        <meta name="viewport" content="width=device-width, initial-scale=1">

        <link rel="icon" type="image/x-icon" href="../images/favicon.ico">
	      <link rel="stylesheet" href="../styles/style.css">
    </head>
    <body>

        <div class="navbar navbar-default navbar-fixed-top visible-xs">
            <a href="../" class="navbar-brand">frontend documentation</a>
            <button type="button" class="btn btn-default btn-menu ion-ios-menu" id="btn-menu"></button>
        </div>

        <div class="xs-menu menu" id="mobile-menu">
                <div id="book-search-input" role="search"><input type="text" placeholder="Type to search"></div>            <compodoc-menu></compodoc-menu>
        </div>

        <div class="container-fluid main">
           <div class="row main">
               <div class="hidden-xs menu">
                   <compodoc-menu mode="normal"></compodoc-menu>
               </div>
               <!-- START CONTENT -->
               <div class="content component">
                   <div class="content-data">




<ol class="breadcrumb">
  <li>Components</li>
  <li>VotationBallotComponent</li>
</ol>

<ul class="nav nav-tabs" role="tablist">
        <li class="active">
            <a href="#info" role="tab" id="info-tab" data-toggle="tab" data-link="info">Info</a>
        </li>
        <li >
            <a href="#source" role="tab" id="source-tab" data-toggle="tab" data-link="source">Source</a>
        </li>
        <li >
            <a href="#templateData" role="tab" id="templateData-tab" data-toggle="tab" data-link="template">Template</a>
        </li>
        <li >
            <a href="#styleData" role="tab" id="styleData-tab" data-toggle="tab" data-link="style">Styles</a>
        </li>
        <li >
            <a href="#tree" role="tab" id="tree-tab" data-toggle="tab" data-link="dom-tree">DOM Tree</a>
        </li>
</ul>

<div class="tab-content">
    <div class="tab-pane fade active in" id="c-info"><p class="comment">
    <h3>File</h3>
</p>
<p class="comment">
    <code>src/app/operation/3-ballots-list/votation-ballot/votation-ballot.component.ts</code>
</p>



    <p class="comment">
        <h3>Implements</h3>
    </p>
    <p class="comment">
                <code><a href="https://angular.io/api/core/OnInit" target="_blank" >OnInit</a></code>
    </p>


<section>
    <h3>Metadata</h3>
    <table class="table table-sm table-hover">
        <tbody>











            <tr>
                <td class="col-md-3">selector</td>
                <td class="col-md-9"><code>votation-ballot, [votation-ballot]</code></td>
            </tr>

            <tr>
                <td class="col-md-3">styleUrls</td>
                <td class="col-md-9"><code>./votation-ballot.component.scss</code></td>
            </tr>



            <tr>
                <td class="col-md-3">templateUrl</td>
                <td class="col-md-9"><code>./votation-ballot.component.html</code></td>
            </tr>








        </tbody>
    </table>
</section>

    <section>
    <h3 id="index">Index</h3>
    <table class="table table-sm table-bordered index-table">
        <tbody>
                <tr>
                    <td class="col-md-4">
                        <h6><b>Properties</b></h6>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <ul class="index-list">
                            <li>
                                <a href="#ballots">ballots</a>
                            </li>
                        </ul>
                    </td>
                </tr>

                <tr>
                    <td class="col-md-4">
                        <h6><b>Methods</b></h6>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <ul class="index-list">
                            <li>
                                <a href="#back">back</a>
                            </li>
                            <li>
                                    <span class="modifier">Private</span>
                                <a href="#initBallots">initBallots</a>
                            </li>
                            <li>
                                <a href="#ngOnInit">ngOnInit</a>
                            </li>
                            <li>
                                <a href="#quit">quit</a>
                            </li>
                            <li>
                                <a href="#validate">validate</a>
                            </li>
                        </ul>
                    </td>
                </tr>





                    <tr>
                        <td class="col-md-4">
                            <h6><b>Accessors</b></h6>
                        </td>
                    </tr>
                    <tr>
                        <td class="col-md-4">
                            <ul class="index-list">
                                <li>
                                    <a href="#currentStepNumber">currentStepNumber</a>
                                </li>
                                <li>
                                    <a href="#nextStepNumber">nextStepNumber</a>
                                </li>
                                <li>
                                    <a href="#singleBallot">singleBallot</a>
                                </li>
                            </ul>
                        </td>
                    </tr>
        </tbody>
    </table>
</section>

    <section>
    <h3 id="constructor">Constructor</h3>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
<code>constructor(router: <a href="https://angular.io/api/router/Router" target="_blank">Router</a>, route: <a href="https://angular.io/api/router/ActivatedRoute" target="_blank">ActivatedRoute</a>, voteWorkflowViewComponent: <a href="../components/VoteWorkflowViewComponent.html">VoteWorkflowViewComponent</a>, currentVotingService: <a href="../injectables/CurrentVotingService.html">CurrentVotingService</a>, dialog: MatDialog)</code>
                    </td>
                </tr>
                        <tr>
                            <td class="col-md-4">
                                <div class="io-line">Defined in <a href="" data-line="40" class="link-to-prism">src/app/operation/3-ballots-list/votation-ballot/votation-ballot.component.ts:40</a></div>
                            </td>
                        </tr>

                <tr>
                    <td class="col-md-4">
                            <div>
                                    <b>Parameters :</b>
                                    <table class="params">
                                        <thead>
                                            <tr>
                                                <td>Name</td>
                                                    <td>Type</td>
                                                <td>Optional</td>
                                            </tr>
                                        </thead>
                                        <tbody>
                                                <tr>
                                                        <td>router</td>
                                                  
                                                        <td>
                                                                    <code><a href="https://angular.io/api/router/Router" target="_blank" >Router</a></code>
                                                        </td>
                                                  
                                                    <td>
                                                            No
                                                    </td>
                                                    
                                                </tr>
                                                <tr>
                                                        <td>route</td>
                                                  
                                                        <td>
                                                                    <code><a href="https://angular.io/api/router/ActivatedRoute" target="_blank" >ActivatedRoute</a></code>
                                                        </td>
                                                  
                                                    <td>
                                                            No
                                                    </td>
                                                    
                                                </tr>
                                                <tr>
                                                        <td>voteWorkflowViewComponent</td>
                                                  
                                                        <td>
                                                                    <code><a href="../components/VoteWorkflowViewComponent.html" target="_self" >VoteWorkflowViewComponent</a></code>
                                                        </td>
                                                  
                                                    <td>
                                                            No
                                                    </td>
                                                    
                                                </tr>
                                                <tr>
                                                        <td>currentVotingService</td>
                                                  
                                                        <td>
                                                                    <code><a href="../injectables/CurrentVotingService.html" target="_self" >CurrentVotingService</a></code>
                                                        </td>
                                                  
                                                    <td>
                                                            No
                                                    </td>
                                                    
                                                </tr>
                                                <tr>
                                                        <td>dialog</td>
                                                  
                                                        <td>
                                                                    <code>MatDialog</code>
                                                        </td>
                                                  
                                                    <td>
                                                            No
                                                    </td>
                                                    
                                                </tr>
                                        </tbody>
                                    </table>
                            </div>
                    </td>
                </tr>
            </tbody>
        </table>
</section>





    <section>
    
        <h3 id="methods">
            Methods
        </h3>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="back"></a>
                        <span class="name">
                            <b>
                            back
                            </b>
                            <a href="#back"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
<code>back()</code>
                    </td>
                </tr>


                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="68" class="link-to-prism">src/app/operation/3-ballots-list/votation-ballot/votation-ballot.component.ts:68</a></div>
                            </td>
                        </tr>


                <tr>
                    <td class="col-md-4">

                            <div class="io-description">
                                <b>Returns : </b>    <code><a href="https://www.typescriptlang.org/docs/handbook/basic-types.html" target="_blank" >void</a></code>

                            </div>
                    </td>
                </tr>
            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="initBallots"></a>
                        <span class="name">
                            <b>
                                <span class="modifier">Private</span>
                            initBallots
                            </b>
                            <a href="#initBallots"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                            <span class="modifier-icon icon ion-ios-reset"></span>
                        <code>initBallots()</code>
                    </td>
                </tr>


                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="98" class="link-to-prism">src/app/operation/3-ballots-list/votation-ballot/votation-ballot.component.ts:98</a></div>
                            </td>
                        </tr>


                <tr>
                    <td class="col-md-4">

                            <div class="io-description">
                                <b>Returns : </b>    <code><a href="https://www.typescriptlang.org/docs/handbook/basic-types.html" target="_blank" >void</a></code>

                            </div>
                    </td>
                </tr>
            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="ngOnInit"></a>
                        <span class="name">
                            <b>
                            ngOnInit
                            </b>
                            <a href="#ngOnInit"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
<code>ngOnInit()</code>
                    </td>
                </tr>


                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="49" class="link-to-prism">src/app/operation/3-ballots-list/votation-ballot/votation-ballot.component.ts:49</a></div>
                            </td>
                        </tr>


                <tr>
                    <td class="col-md-4">

                            <div class="io-description">
                                <b>Returns : </b>    <code><a href="https://www.typescriptlang.org/docs/handbook/basic-types.html" target="_blank" >void</a></code>

                            </div>
                    </td>
                </tr>
            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="quit"></a>
                        <span class="name">
                            <b>
                            quit
                            </b>
                            <a href="#quit"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
<code>quit()</code>
                    </td>
                </tr>


                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="65" class="link-to-prism">src/app/operation/3-ballots-list/votation-ballot/votation-ballot.component.ts:65</a></div>
                            </td>
                        </tr>


                <tr>
                    <td class="col-md-4">

                            <div class="io-description">
                                <b>Returns : </b>    <code><a href="https://www.typescriptlang.org/docs/handbook/basic-types.html" target="_blank" >void</a></code>

                            </div>
                    </td>
                </tr>
            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="validate"></a>
                        <span class="name">
                            <b>
                            validate
                            </b>
                            <a href="#validate"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
<code>validate()</code>
                    </td>
                </tr>


                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="89" class="link-to-prism">src/app/operation/3-ballots-list/votation-ballot/votation-ballot.component.ts:89</a></div>
                            </td>
                        </tr>


                <tr>
                    <td class="col-md-4">

                            <div class="io-description">
                                <b>Returns : </b>    <code><a href="https://www.typescriptlang.org/docs/handbook/basic-types.html" target="_blank" >void</a></code>

                            </div>
                    </td>
                </tr>
            </tbody>
        </table>
</section>

    <section>
    
        <h3 id="inputs">
            Properties
        </h3>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="ballots"></a>
                        <span class="name">
                            <b>
                            ballots
                            </b>
                            <a href="#ballots"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <code>ballots:     <code><a href="../interfaces/Votation.html" target="_self" >Votation[]</a></code>
</code>
                    </td>
                </tr>
                    <tr>
                        <td class="col-md-4">
                            <i>Type : </i>    <code><a href="../interfaces/Votation.html" target="_self" >Votation[]</a></code>

                        </td>
                    </tr>
                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="40" class="link-to-prism">src/app/operation/3-ballots-list/votation-ballot/votation-ballot.component.ts:40</a></div>
                            </td>
                        </tr>


            </tbody>
        </table>
</section>

    <section>
    <h3 id="accessors">
        Accessors
    </h3>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="currentStepNumber"></a>
                        <span class="name"><b>currentStepNumber</b><a href="#currentStepNumber"><span class="icon ion-ios-link"></span></a></span>
                    </td>
                </tr>

                <tr>
                    <td class="col-md-4">
                        <span class="accessor"><b>get</b><code>currentStepNumber()</code></span>
                    </td>
                </tr>
                            <tr>
                                <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="53" class="link-to-prism">src/app/operation/3-ballots-list/votation-ballot/votation-ballot.component.ts:53</a></div>
                                </td>
                            </tr>

            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="nextStepNumber"></a>
                        <span class="name"><b>nextStepNumber</b><a href="#nextStepNumber"><span class="icon ion-ios-link"></span></a></span>
                    </td>
                </tr>

                <tr>
                    <td class="col-md-4">
                        <span class="accessor"><b>get</b><code>nextStepNumber()</code></span>
                    </td>
                </tr>
                            <tr>
                                <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="57" class="link-to-prism">src/app/operation/3-ballots-list/votation-ballot/votation-ballot.component.ts:57</a></div>
                                </td>
                            </tr>

            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="singleBallot"></a>
                        <span class="name"><b>singleBallot</b><a href="#singleBallot"><span class="icon ion-ios-link"></span></a></span>
                    </td>
                </tr>

                <tr>
                    <td class="col-md-4">
                        <span class="accessor"><b>get</b><code>singleBallot()</code></span>
                    </td>
                </tr>
                            <tr>
                                <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="61" class="link-to-prism">src/app/operation/3-ballots-list/votation-ballot/votation-ballot.component.ts:61</a></div>
                                </td>
                            </tr>

            </tbody>
        </table>
</section>
</div>


    <div class="tab-pane fade  tab-source-code" id="c-source">
        <pre class="line-numbers compodoc-sourcecode"><code class="language-typescript">import { Component, OnInit } from &quot;@angular/core&quot;;
import { CurrentVotingService } from &quot;../../current-voting-service&quot;;
import { ActivatedRoute, Router } from &quot;@angular/router&quot;;
import { Step, VoteWorkflowViewComponent } from &quot;../../vote-workflow-display/vote-workflow-view.component&quot;;
import { Votation } from &quot;../../../model/votation&quot;;
import { ChvoteDialogComponent } from &#x27;../../../core/chvote-dialog/chvote-dialog.component&#x27;;
import { MatDialog } from &#x27;@angular/material&#x27;;

@Component({
  selector: &#x27;votation-ballot, [votation-ballot]&#x27;,
  templateUrl: &#x27;./votation-ballot.component.html&#x27;,
  styleUrls: [&#x27;./votation-ballot.component.scss&#x27;]
})

export class VotationBallotComponent implements OnInit {

  ballots: Votation[];

  constructor(private router: Router,
              private route: ActivatedRoute,
              private voteWorkflowViewComponent: VoteWorkflowViewComponent,
              private currentVotingService: CurrentVotingService,
              private dialog: MatDialog) {
  }

  ngOnInit() {
    this.initBallots();
  }

  get currentStepNumber() {
    return this.voteWorkflowViewComponent.getStepNumber(Step.BallotList);
  }

  get nextStepNumber() {
    return this.voteWorkflowViewComponent.getStepNumber(Step.Summary);
  }

  get singleBallot(): boolean {
    return this.currentVotingService.hasSingleBallot();
  }

  quit(): void {
  }

  back(): void {
    if (CurrentVotingService.hasVotingBallotChanged(this.ballots)) {
      // display confirmation message
      this.dialog.open(ChvoteDialogComponent, {
        width: &#x27;500px&#x27;,
        disableClose: true,
        data: {
          messageKey: &#x27;ballot-list.dialog.confirm-cancel&#x27;,
          primaryButtonKey: &#x27;global.actions.yes&#x27;,
          secondaryButtonKey: &#x27;global.actions.no&#x27;
        }
      }).afterClosed().subscribe((accept: boolean) &#x3D;&gt; {
        if (accept) {
          this.router.navigate([&#x27;../ballotsList&#x27;], {relativeTo: this.route});
        }
      });
    } else {
      this.router.navigate([&#x27;../ballotsList&#x27;], {relativeTo: this.route});
    }
  }

  validate(): void {
    CurrentVotingService.commitVotationBallot(this.ballots);
    if (this.singleBallot || this.currentVotingService.lastVisitedPage &#x3D;&#x3D;&#x3D; &#x27;SUMMARY&#x27;) {
      this.router.navigate([&#x27;../summary&#x27;], {relativeTo: this.route});
    } else {
      this.router.navigate([&#x27;../ballotsList&#x27;], {relativeTo: this.route});
    }
  }

  private initBallots() {
    let domainOfInfluence &#x3D; this.route.snapshot.queryParams.domainOfInfluence;
    if (domainOfInfluence) {
      this.ballots &#x3D; [
        this.currentVotingService.votations.find(votation &#x3D;&gt; votation.domainOfInfluence &#x3D;&#x3D;&#x3D; domainOfInfluence)
      ];
    } else {
      this.ballots &#x3D; this.currentVotingService.votations;
    }
  }
}
</code></pre>
    </div>

    <div class="tab-pane fade " id="c-templateData">
        <pre class="line-numbers"><code class="language-html">&lt;!--~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
  ~ /*                                                                                            ~
  ~  - #%L                                                                                        ~
  ~  - CHVote-Receiver                                                                            ~
  ~  - %%                                                                                         ~
  ~  - Copyright (C) 2016 - 2018 République et Canton de Genève                                   ~
  ~  - %%                                                                                         ~
  ~  - This program is free software: you can redistribute it and/or modify                       ~
  ~  - it under the terms of the GNU Affero General Public License as published by                ~
  ~  - the Free Software Foundation, either version 3 of the License, or                          ~
  ~  - (at your option) any later version.                                                        ~
  ~  -                                                                                            ~
  ~  - This program is distributed in the hope that it will be useful,                            ~
  ~  - but WITHOUT ANY WARRANTY; without even the implied warranty of                             ~
  ~  - MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the                               ~
  ~  - GNU General Public License for more details.                                               ~
  ~  -                                                                                            ~
  ~  - You should have received a copy of the GNU Affero General Public License                   ~
  ~  - along with this program. If not, see &lt;http://www.gnu.org/licenses/&gt;.                       ~
  ~  - #L%                                                                                        ~
  ~  */                                                                                           ~
  ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~--&gt;

&lt;!-- component displaying a votation ballot --&gt;
&lt;vote-workflow-view&gt;&lt;/vote-workflow-view&gt;

&lt;h2 id&#x3D;&quot;stepTitle&quot;&gt;
  {{ &#x27;global.step.title-prefix&#x27; | translate:currentStepNumber }}
  {{ &#x27;ballot-list.step-name&#x27; | translate }}
&lt;/h2&gt;

&lt;section role&#x3D;&quot;document&quot; [innerHTML]&#x3D;&quot;&#x27;ballot-list.votation.ballot.description&#x27; | translate&quot;&gt;&lt;/section&gt;

&lt;section role&#x3D;&quot;main&quot;&gt;
  &lt;chvote-votation-ballot display&#x3D;&quot;ballot&quot; [votations]&#x3D;&quot;ballots&quot;&gt;&lt;/chvote-votation-ballot&gt;
&lt;/section&gt;

&lt;nav *ngIf&#x3D;&quot;singleBallot&quot;
     id&#x3D;&quot;nav-single-ballot&quot;&gt;
  &lt;button mat-raised-button class&#x3D;&quot;abort&quot; (click)&#x3D;&quot;quit()&quot;&gt;
    &lt;i class&#x3D;&quot;fas fa-times&quot; data-fa-transform&#x3D;&quot;up-1 left-6&quot;&gt;&lt;/i&gt;
    {{ &#x27;global.actions.quit&#x27; | translate }}
  &lt;/button&gt;

  &lt;div class&#x3D;&quot;button-with-hint&quot;&gt;
    &lt;button mat-raised-button class&#x3D;&quot;primary&quot;
            id&#x3D;&quot;next-step-button&quot;
            aria-describedby&#x3D;&quot;next-step-hint&quot;
            (click)&#x3D;&quot;validate()&quot;&gt;
      {{ &#x27;global.actions.continue&#x27; | translate }}
      &lt;i class&#x3D;&quot;fas fa-arrow-right&quot; data-fa-transform&#x3D;&quot;up-1 right-6&quot;&gt;&lt;/i&gt;
    &lt;/button&gt;
    &lt;span id&#x3D;&quot;next-step-hint&quot; class&#x3D;&quot;next-step-hint&quot;&gt;
        {{ &#x27;global.step.next-info&#x27; | translate:nextStepNumber }}{{ &#x27;summary.step-name&#x27; | translate }}
    &lt;/span&gt;
  &lt;/div&gt;
&lt;/nav&gt;

&lt;nav *ngIf&#x3D;&quot;!singleBallot&quot;
     id&#x3D;&quot;nav-multi-ballot&quot;&gt;
  &lt;div class&#x3D;&quot;button-group&quot;&gt;
    &lt;button mat-raised-button class&#x3D;&quot;abort&quot; (click)&#x3D;&quot;quit()&quot;&gt;
      &lt;i class&#x3D;&quot;fas fa-times&quot; data-fa-transform&#x3D;&quot;up-1 left-6&quot;&gt;&lt;/i&gt;
      {{ &#x27;global.actions.quit&#x27; | translate }}
    &lt;/button&gt;
    &lt;button mat-raised-button class&#x3D;&quot;secondary&quot;
            id&#x3D;&quot;back-button&quot;
            (click)&#x3D;&quot;back()&quot;&gt;
      &lt;i class&#x3D;&quot;fas fa-bars&quot; data-fa-transform&#x3D;&quot;up-1 left-6&quot;&gt;&lt;/i&gt;
      {{ &#x27;global.actions.back&#x27; | translate }}
    &lt;/button&gt;
  &lt;/div&gt;

  &lt;button mat-raised-button class&#x3D;&quot;primary&quot;
          id&#x3D;&quot;next-step-button&quot;
          (click)&#x3D;&quot;validate()&quot;&gt;
    {{ &#x27;global.actions.validate-ballot&#x27; | translate }}
    &lt;i class&#x3D;&quot;fas fa-arrow-right&quot; data-fa-transform&#x3D;&quot;up-1 right-6&quot;&gt;&lt;/i&gt;
  &lt;/button&gt;
&lt;/nav&gt;
</code></pre>
    </div>

    <div class="tab-pane fade " id="c-styleData">
                <p class="comment">
                    <code>./votation-ballot.component.scss</code>
                </p>
                <pre class="line-numbers"><code class="language-scss">/*!*************************************************************************************************
 *                                                                                                *
 *  - #%L                                                                                         *
 *  - CHVote-Receiver                                                                             *
 *  - %%                                                                                          *
 *  - Copyright (C) 2016 - 2018 République et Canton de Genève                                    *
 *  - %%                                                                                          *
 *  - This program is free software: you can redistribute it and/or modify                        *
 *  - it under the terms of the GNU Affero General Public License as published by                 *
 *  - the Free Software Foundation, either version 3 of the License, or                           *
 *  - (at your option) any later version.                                                         *
 *  -                                                                                             *
 *  - This program is distributed in the hope that it will be useful,                             *
 *  - but WITHOUT ANY WARRANTY; without even the implied warranty of                              *
 *  - MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the                                *
 *  - GNU General Public License for more details.                                                *
 *  -                                                                                             *
 *  - You should have received a copy of the GNU Affero General Public License                    *
 *  - along with this program. If not, see &lt;http://www.gnu.org/licenses/&gt;.                        *
 *  - #L%                                                                                         *
 *                                                                                                *
 **************************************************************************************************/
#nav-multi-ballot,
#nav-multi-ballot .button-group {
  flex-direction: column;
}

nav button:not(:first-child) {
  margin-top: 10px;
}

@media screen and (min-width: 576px) {
  #nav-multi-ballot,
  #nav-multi-ballot .button-group {
    flex-direction: row;
  }

  #nav-multi-ballot .button-group .secondary {
    margin-left: 20px;
  }

  nav button:not(:first-child) {
    margin-top: 0;
  }
}

</code></pre>
    </div>

    <div class="tab-pane fade " id="c-tree">
        <div id="tree-container"></div>
        <div class="tree-legend">
            <div class="title">
                <b>Legend</b>
            </div>
            <div>
                <div class="color htmlelement"></div><span>Html element</span>
            </div>
            <div>
                <div class="color component"></div><span>Component</span>
            </div>
            <div>
                <div class="color directive"></div><span>Html element with directive</span>
            </div>
        </div>
    </div>

    
</div>

<script src="../js/libs/vis.min.js"></script>
<script src="../js/libs/htmlparser.js"></script>
<script src="../js/libs/deep-iterator.js"></script>
<script>
        var COMPONENT_TEMPLATE = '<div><!--~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~  ~ /*                                                                                            ~  ~  - #%L                                                                                        ~  ~  - CHVote-Receiver                                                                            ~  ~  - %%                                                                                         ~  ~  - Copyright (C) 2016 - 2018 République et Canton de Genève                                   ~  ~  - %%                                                                                         ~  ~  - This program is free software: you can redistribute it and/or modify                       ~  ~  - it under the terms of the GNU Affero General Public License as published by                ~  ~  - the Free Software Foundation, either version 3 of the License, or                          ~  ~  - (at your option) any later version.                                                        ~  ~  -                                                                                            ~  ~  - This program is distributed in the hope that it will be useful,                            ~  ~  - but WITHOUT ANY WARRANTY; without even the implied warranty of                             ~  ~  - MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the                               ~  ~  - GNU General Public License for more details.                                               ~  ~  -                                                                                            ~  ~  - You should have received a copy of the GNU Affero General Public License                   ~  ~  - along with this program. If not, see <http://www.gnu.org/licenses/>.                       ~  ~  - #L%                                                                                        ~  ~  */                                                                                           ~  ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~--><!-- component displaying a votation ballot --><vote-workflow-view></vote-workflow-view><h2 id="stepTitle">  {{ \'global.step.title-prefix\' | translate:currentStepNumber }}  {{ \'ballot-list.step-name\' | translate }}</h2><section role="document" [innerHTML]="\'ballot-list.votation.ballot.description\' | translate"></section><section role="main">  <chvote-votation-ballot display="ballot" [votations]="ballots"></chvote-votation-ballot></section><nav *ngIf="singleBallot"     id="nav-single-ballot">  <button mat-raised-button class="abort" (click)="quit()">    <i class="fas fa-times" data-fa-transform="up-1 left-6"></i>    {{ \'global.actions.quit\' | translate }}  </button>  <div class="button-with-hint">    <button mat-raised-button class="primary"            id="next-step-button"            aria-describedby="next-step-hint"            (click)="validate()">      {{ \'global.actions.continue\' | translate }}      <i class="fas fa-arrow-right" data-fa-transform="up-1 right-6"></i>    </button>    <span id="next-step-hint" class="next-step-hint">        {{ \'global.step.next-info\' | translate:nextStepNumber }}{{ \'summary.step-name\' | translate }}    </span>  </div></nav><nav *ngIf="!singleBallot"     id="nav-multi-ballot">  <div class="button-group">    <button mat-raised-button class="abort" (click)="quit()">      <i class="fas fa-times" data-fa-transform="up-1 left-6"></i>      {{ \'global.actions.quit\' | translate }}    </button>    <button mat-raised-button class="secondary"            id="back-button"            (click)="back()">      <i class="fas fa-bars" data-fa-transform="up-1 left-6"></i>      {{ \'global.actions.back\' | translate }}    </button>  </div>  <button mat-raised-button class="primary"          id="next-step-button"          (click)="validate()">    {{ \'global.actions.validate-ballot\' | translate }}    <i class="fas fa-arrow-right" data-fa-transform="up-1 right-6"></i>  </button></nav></div>'
    var COMPONENTS = [{'name': 'ActionsOnBallotsComponent', 'selector': 'actions-on-ballots'},{'name': 'AppComponent', 'selector': 'app-root'},{'name': 'BallotsListComponent', 'selector': 'app-ballots-list'},{'name': 'BusinessErrorDialogComponent', 'selector': 'app-business-error-dialog'},{'name': 'ChvoteBallotHeaderComponent', 'selector': 'chvote-ballot-header'},{'name': 'ChvoteCheckboxComponent', 'selector': 'chvote-checkbox'},{'name': 'ChvoteCoatOfArmsComponent', 'selector': 'chvote-coat-of-arms'},{'name': 'ChvoteDialogComponent', 'selector': 'chvote-dialog'},{'name': 'ChvoteDocumentsComponent', 'selector': 'chvote-documents'},{'name': 'ChvoteExpansionPanelComponent', 'selector': 'chvote-expansion-panel'},{'name': 'ChvoteHelperComponent', 'selector': 'chvote-helper'},{'name': 'ChvoteSubjectCardComponent', 'selector': '[chvote-subject-card]'},{'name': 'ChvoteVariantSubjectCardComponent', 'selector': '[chvote-variant-subject-card]'},{'name': 'ChvoteVotationBallotComponent', 'selector': 'chvote-votation-ballot'},{'name': 'ControlComponent', 'selector': 'control, [control]'},{'name': 'DefaultErrorsComponent', 'selector': 'default-errors'},{'name': 'ErrorMessageComponent', 'selector': 'error-message-component'},{'name': 'FinalizationComponent', 'selector': 'finalization, [finalization]'},{'name': 'FooterDocumentsComponent', 'selector': 'footer-documents'},{'name': 'FooterZoneComponent', 'selector': 'footer-zone'},{'name': 'GroupedVotationCardComponent', 'selector': '[grouped-votation-card]'},{'name': 'HeaderZoneComponent', 'selector': 'header-zone'},{'name': 'IdentificationComponent', 'selector': ''},{'name': 'LegalInformationComponent', 'selector': ''},{'name': 'LocalizedLabelComponent', 'selector': '[localized-label]'},{'name': 'OperationComponent', 'selector': ''},{'name': 'SideZoneComponent', 'selector': 'side-zone'},{'name': 'SideZoneSectionComponent', 'selector': 'side-zone-section'},{'name': 'SingleBallotCardComponent', 'selector': '[single-ballot-card]'},{'name': 'SummaryComponent', 'selector': 'summary, [summary]'},{'name': 'TechnicalErrorDialogComponent', 'selector': 'app-technical-error-dialog'},{'name': 'VotationBallotComponent', 'selector': 'votation-ballot, [votation-ballot]'},{'name': 'VotationCardComponent', 'selector': '[votation-card]'},{'name': 'VoteWorkflowStepComponent', 'selector': 'li[vote-workflow-step]'},{'name': 'VoteWorkflowViewComponent', 'selector': 'vote-workflow-view'}];
    var DIRECTIVES = [];
    var ACTUAL_COMPONENT = {'name': 'VotationBallotComponent'};
</script>
<script src="../js/tree.js"></script>














                   </div><div class="search-results">
    <div class="has-results">
        <h1 class="search-results-title"><span class='search-results-count'></span> result-matching "<span class='search-query'></span>"</h1>
        <ul class="search-results-list"></ul>
    </div>
    <div class="no-results">
        <h1 class="search-results-title">No results matching "<span class='search-query'></span>"</h1>
    </div>
</div>
</div>
               <!-- END CONTENT -->
           </div>
       </div>

       <script>
            var COMPODOC_CURRENT_PAGE_DEPTH = 1;
            var COMPODOC_CURRENT_PAGE_CONTEXT = 'component';
            var COMPODOC_CURRENT_PAGE_URL = 'VotationBallotComponent.html';
       </script>

       <script src="../js/libs/custom-elements.min.js"></script>
       <script src="../js/libs/lit-html.js"></script>
       <!-- Required to polyfill modern browsers as code is ES5 for IE... -->
       <script src="../js/libs/custom-elements-es5-adapter.js" charset="utf-8" defer></script>
       <script src="../js/menu-wc.js" defer></script>

       <script src="../js/libs/bootstrap-native.js"></script>

       <script src="../js/libs/es6-shim.min.js"></script>
       <script src="../js/libs/EventDispatcher.js"></script>
       <script src="../js/libs/promise.min.js"></script>
       <script src="../js/libs/zepto.min.js"></script>

       <script src="../js/compodoc.js"></script>

       <script src="../js/tabs.js"></script>
       <script src="../js/menu.js"></script>
       <script src="../js/libs/clipboard.min.js"></script>
       <script src="../js/libs/prism.js"></script>
       <script src="../js/sourceCode.js"></script>
          <script src="../js/search/search.js"></script>
          <script src="../js/search/lunr.min.js"></script>
          <script src="../js/search/search-lunr.js"></script>
          <script src="../js/search/search_index.js"></script>
       <script src="../js/lazy-load-graphs.js"></script>


    </body>
</html>
